---
updatedAt: 2026-05-08T10:57:51.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Update Circuits

Update circuits on a site.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Site",
      "x-displayName": "Site"
    }
  ],
  "paths": {
    "/api/sites/{siteId}/circuits": {
      "put": {
        "tags": [
          "Site"
        ],
        "summary": "Update Circuits",
        "description": "Update circuits on a site.",
        "operationId": "Site_UpdateCircuits",
        "parameters": [
          {
            "name": "siteId",
            "in": "path",
            "required": true,
            "description": "Site ID",
            "schema": {
              "type": "string"
            },
            "x-position": 1
          }
        ],
        "requestBody": {
          "x-name": "circuits",
          "description": "Circuit array",
          "content": {
            "application/json": {
              "schema": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/Easee_Cloud_API_CircuitDTO2"
                }
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/octet-stream": {
                "schema": {
                  "type": "string",
                  "format": "binary"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Easee_Cloud_API_ChargerColorType": {
        "type": "integer",
        "description": "",
        "x-enumNames": [
          "Black",
          "Red",
          "Blue",
          "White",
          "Anthracite"
        ],
        "enum": [
          1,
          2,
          3,
          4,
          5
        ]
      },
      "Easee_Cloud_API_LevelOfAccess": {
        "type": "integer",
        "description": "",
        "x-enumNames": [
          "Open",
          "EaseeAccounts",
          "SpecificUsers"
        ],
        "enum": [
          1,
          2,
          3
        ]
      },
      "Easee_Cloud_API_ProductType": {
        "type": "integer",
        "description": "",
        "x-enumNames": [
          "EaseeHome",
          "ChargeLite",
          "EaseeCharge",
          "EaseeOne",
          "Equalizer"
        ],
        "enum": [
          1,
          2,
          100,
          400,
          1000
        ]
      },
      "Easee_Cloud_API_ChargerDTO": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "type": "string",
            "nullable": true
          },
          "name": {
            "type": "string",
            "nullable": true
          },
          "color": {
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Easee_Cloud_API_ChargerColorType"
              }
            ]
          },
          "createdOn": {
            "type": "string",
            "format": "date-time"
          },
          "updatedOn": {
            "type": "string",
            "format": "date-time"
          },
          "backPlate": {
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Easee_Cloud_API_BackPlateDTO"
              }
            ]
          },
          "levelOfAccess": {
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Easee_Cloud_API_LevelOfAccess"
              }
            ]
          },
          "productCode": {
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Easee_Cloud_API_ProductType"
              }
            ]
          }
        }
      },
      "Easee_Cloud_API_BackPlateDTO": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "type": "string",
            "nullable": true
          },
          "masterBackPlateId": {
            "type": "string",
            "nullable": true
          },
          "name": {
            "type": "string",
            "nullable": true
          },
          "features": {
            "type": "array",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/Easee_Cloud_API_BackPlateFeature"
            }
          },
          "variant": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "Easee_Cloud_API_BackPlateFeature": {
        "type": "integer",
        "description": "",
        "x-enumNames": [
          "UkOffpeak",
          "UkRandomStartDelay",
          "FrPermaTether"
        ],
        "enum": [
          0,
          1,
          2
        ]
      },
      "Easee_Cloud_API_CircuitDTO2": {
        "allOf": [
          {
            "$ref": "#/components/schemas/Easee_Cloud_API_BasicCircuitDTO"
          },
          {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "chargers": {
                "type": "array",
                "nullable": true,
                "items": {
                  "$ref": "#/components/schemas/Easee_Cloud_API_DetailChargerDTO"
                }
              },
              "masterBackplate": {
                "nullable": true,
                "oneOf": [
                  {
                    "$ref": "#/components/schemas/Easee_Cloud_API_BackPlateDTO"
                  }
                ]
              },
              "useDynamicMaster": {
                "type": "boolean"
              },
              "parentCircuitId": {
                "type": "integer",
                "format": "int32",
                "nullable": true
              }
            }
          }
        ]
      },
      "Easee_Cloud_API_DetailChargerDTO": {
        "allOf": [
          {
            "$ref": "#/components/schemas/Easee_Cloud_API_ChargerDTO"
          },
          {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "userRole": {
                "nullable": true,
                "oneOf": [
                  {
                    "$ref": "#/components/schemas/Easee_Cloud_API_SiteUserRole2"
                  }
                ]
              },
              "isTemporary": {
                "type": "boolean"
              }
            }
          }
        ]
      },
      "Easee_Cloud_API_SiteUserRole2": {
        "type": "integer",
        "description": "",
        "x-enumNames": [
          "Owner",
          "Admin",
          "BasicUser",
          "ChargerUser"
        ],
        "enum": [
          1,
          2,
          3,
          20
        ]
      },
      "Easee_Cloud_API_BasicCircuitDTO": {
        "allOf": [
          {
            "$ref": "#/components/schemas/Easee_Cloud_API_CircuitBase"
          },
          {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "uuid": {
                "type": "string",
                "format": "guid",
                "nullable": true
              }
            }
          }
        ]
      },
      "Easee_Cloud_API_CircuitBase": {
        "type": "object",
        "x-abstract": true,
        "additionalProperties": false,
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32"
          },
          "siteId": {
            "type": "integer",
            "format": "int32"
          },
          "circuitPanelId": {
            "type": "integer",
            "format": "int32"
          },
          "panelName": {
            "type": "string",
            "nullable": true
          },
          "ratedCurrent": {
            "type": "number",
            "format": "double"
          },
          "fuse": {
            "type": "number",
            "format": "double",
            "nullable": true
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```